DVCSParseTest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.dvcs.test

## Class DVCSParseTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.dvcs.test.DVCSParseTest

- All Implemented Interfaces:
    junit.framework.Test

      public class DVCSParseTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVCSParseTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testParseRequests()`
    `void` | `testParseResponses()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DVCSParseTest

          public DVCSParseTest()

  - ### Method Detail

    - #### testParseRequests

          public void testParseRequests()
                                 throws java.io.IOException,
                                        DVCSException,
                                        CMSException

      Throws:
        `java.io.IOException`
        `DVCSException`
        `CMSException`

    - #### testParseResponses

          public void testParseResponses()
                                  throws java.io.IOException,
                                         DVCSException,
                                         CMSException

      Throws:
        `java.io.IOException`
        `DVCSException`
        `CMSException`